Unity 3.1.6 to 4.2.1 upgrade

Unanswered Question
Jan 4th, 2008

Customer has Unity 3.1.6 w/windows 2000 server and Exch 2000 on box VM only. Customer is upgrading and migrating to new server with Unity 4.2.1 (windows 2003 and Exch 2003). Here's the wrench -

Old server can't be upgraded to 4.2 because it's very unstable. New server can't be built with 3.1.6 because it only shipped with 2003 software which doesn't support 3.1.6.

I do have a temporary server that I can rebuild as 3.1.6 and then perform the upgrade to 4.2.1. The documentation is somewhat vague and doesn't state with certaintly that I can use DIRT to backup a 4.2.1 2000/exch2000 system and restore it to a 4.2.1 2003/2003 system. Second part of this dilemma is licensing. Do I need a system key or license key for the temp server while it is 3.1 and then 4.2? I don't have immediate access to the old server's dongle for the purpose of upgrading. I have a TAC case open but I'll refrain from sharing my thoughts about how well THAT's going. That's why I'm here......

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
mciarfello Sun, 01/06/2008 - 21:42

This will be little to no help, but maybe you can get SOMETHING out of it.

I'm drawing a blank on Unity 3.x. In terms of licensing, if Unity 3.x still used the dongle, you will need it on the temp server. I don't think Unity services will start, but maybe you don't need them to.

You will have to have TAC convert the dongle to the FLEXlm licensing scheme for your 4.2 server. So you need that TAC case anyways.

Since you are using new hardware anyways, build your temp server, so a DiRT backup and restore, see what happens without the license key. Not the answer you are looking for, but it might be worth practicing the upgrade anyways. I'm not sure if passwords or some other things would carry over. These are things you can document in your implementation plan so you don't run into surprises during the real conversion.

Actions

This Discussion